# pointpats.PointProcess

class pointpats.PointProcess(window, n, samples, asPP=False, **args)

  Point Process base class.

  Parameters:
    window `Window`

      Bounding geometric object to contain point process realizations.

    n int

      Size of each realization.

    samples list

      Number of realizations.

    asPP bool

      Control the data type of value in the “realizations” dictionary. If True, the data type is point pattern as defined in pointpattern.py; if False, the data type is an two-dimensional array.

  Attributes:
    realizations dictionary

      The key is the index of each realization, and the value is simulated event points for each realization. The data type of the value is controlled by the parameter “asPP”.

    parameters dictionary

      Dictionary of a dictionary. The key is the index of each realization, and the value is a dictionary with the key ‘n’ and the value size of each realization.

  __init__(window, n, samples, asPP=False, **args)

  Methods

  `__init__`(window, n, samples[, asPP]) |
  `draw`(parameter) | Generate a series of point coordinates within the given window.
  `realize`() |
  `setup`() |

  draw(parameter)

    Generate a series of point coordinates within the given window.

    Parameters:
      parameter dictionary

        Key: ‘n’. Value: size of the realization.

    Returns:
      : array

        A series of point coordinates.

  realize()
  setup()